%global minorversion 1.0
Name:           xfce4-cpufreq-plugin
Version:        1.0.0 
Release:        1%{?dist}
Summary:        CPU frequency scaling plugin for the Xfce4 panel 

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRequires:  libxfcegui4-devel >= 4.3.90
BuildRequires:  xfce4-panel-devel >= 4.3.90
BuildRequires:  intltool 
Requires:       xfce4-panel >= 4.3.90

%description
The CpuFreq Plugin shows in the Xfce Panel the following information:
    current CPU frequency
    current used governor

In a separate dialog it provides you following information:
    all available CPU frequencies
    all available governors
    used driver for the CPU

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/xfce4/panel-plugins/%{name}.desktop

%changelog
* Wed Mar 16 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 1.0.0-1
- Initial Fedora package
